<?php
session_start();
$ges_id = $_SESSION['ges_id'];
$ges_nom = $_SESSION['ges_nom'];
$ges_consu = $_SESSION['ges_consu'];

if($ges_id == '' || $ges_nom == ''):
    ?>
    <script type="text/javascript">
        alert('Usuario inválido');
        cerrar();
    </script>
    <?
endif;

header('Content-type: text/html; charset = utf-8');

require("../funciones/funciones.php");
require("../funciones/post_get.php");
require("../class/bases.php");

date_default_timezone_set("America/Bogota");

$hora_hoy = date("H:i:s");
$sis_dia = date('d');
$sis_mes = date('m');
$sis_ano = date('Y');
//Mensaje = mysql_error();
$fecha_hoy = $sis_ano."-".$sis_mes."-".$sis_dia;

if($estado_empresa=='-'): 
    $var2 = ''; 
else: 
    $var2 = 'and activo='.$estado_empresa; 
endif;

$nro=1;
$nroFilas=0;//Contador registros
$nro_grupos=1;

//Selecciona grupo empresarial
if($parametro_empresa==0):

    if($text_para=='-'): 
        $var = '1'; 
    else: 
        $var = "nom_cli like '%".$text_para."%' "; 
    endif;

    //Identifico el grupo
    $sqlGrupo = "SELECT id_cli, nom_cli FROM cliente WHERE $var";
    $conGrupo = $bdFact->consulta($sqlGrupo);
    while($resGrupo = $bdFact->fetch_assoc($conGrupo)):
        $nom_cli = utf8_encode($resGrupo['nom_cli']);
        $id_fk_cliente_fact = $resGrupo['id_cli'];

        $totalPlanillas=0;
        $totalPagos=0;
        $totalPagos_E=0;
        $totalRetiros=0;
        $totalPersonas=0;
        $totalUsuarios=0;
        $totalRecibos=0;

        //Identifico las CTA del grupo
        $sqlCTA = "SELECT * FROM cta WHERE modo=0 and id_fk_cliente_fact=$id_fk_cliente_fact $var2";
        $conCTA = $bdDepen->consulta($sqlCTA);
        //Saco los datos de las empresas
        while($resCTA = $bdDepen->fetch_assoc($conCTA)):
            $pagos=0;
            $pagos_E=0;
            $retiros=0;	
            $total_per=0;
            $totalPLA=0;
            
            $nombre=utf8_encode($resCTA['nombre']);
            $nombre_plano=utf8_encode($resCTA['nombre_plano']);
            $nit_plano=$resCTA['nit_plano'];
            $id_fk_cliente_fact=$resCTA['id_fk_cliente_fact'];
            $id_cta=$resCTA['id_cta'];
            $comentario_gestor=utf8_encode($resCTA['comentario_gestor']);
            $comentario_cta=utf8_encode($resCTA['comentario']);
            $modo=$resCTA['modo'];
            $activo=$resCTA['activo'];
            
            //Identifico las PLANILLAS de la CTA
            $sqlPLA = "SELECT * FROM planilla_unico WHERE mes_pago=$mes_planilla and ano_pago=$ano_planilla and id_cta_fk_pl='$id_cta'";
            $conPLA = $bdDepen->consulta($sqlPLA);
            $totalPLA = $bdDepen->num_rows($conPLA);

            //Total usuarios
            $sqlUSU = "select * from usuario where retiro_total = 0 and id_cta_fk_us = '$id_cta'";
            $conUSU = $bdDepen->consulta($sqlUSU);
            $totalUSU = $bdDepen->num_rows($conUSU);
             
            //Total recibos
            $sqlREC = "select * from recibos where total != 0 and mes_pago = '$mes_planilla' and ano_pago = '$ano_planilla' and id_cta_fk_re = '$id_cta'";
            $conREC = $bdDepen->consulta($sqlREC);
            $totalREC = $bdDepen->num_rows($conREC);
            
            //Si selecciono planillas realizadas en el mes
            if($planilla == 1 && $totalPLA!=0):

                while($resPagos = $bdDepen->fetch_assoc($conPLA)):
                    $nro_planilla = $resPagos['nro_planilla'];
                    $pla_referencia = $resPagos['pla_referencia'];
                    //Pagos    
                    $sqlPAGOS = "select * from personas_planilla_unico where nro_planilla = '$nro_planilla' and (novedad = 0 or novedad = 1) and id_cta_fk_ppl = '$id_cta'";
                    $conPAGOS = $bdDepen->consulta($sqlPAGOS);
                    $pagos = $pagos + $bdDepen->num_rows($conPAGOS);

                    //Retiro
                    $sqlRET = "select * from personas_planilla_unico where nro_planilla = '$nro_planilla' and (novedad = 2 or novedad = 3) and id_cta_fk_ppl = '$id_cta'";
                    $conRET = $bdDepen->consulta($sqlRET);
                    $retiros = $retiros + $bdDepen->num_rows($conRET);

                    //Solo planilla tipo E
                    if($pla_referencia == 0):

                        //Pagos    
                        $sqlPAGOS_E = "select * from personas_planilla_unico where nro_planilla = '$nro_planilla' and (novedad = 0 or novedad = 1) and id_cta_fk_ppl = '$id_cta'";
                        $conPAGOS_E = $bdDepen->consulta($sqlPAGOS_E);
                        $pagos_E = $pagos_E + $bdDepen->num_rows($conPAGOS_E);

                    endif;

                    //Total personas
                    $total_per = $pagos + $retiros; 

                    //indicador para guardar el grupo en el array
                    $indicador=1;

                endwhile;

                $totalPlanillas=$totalPlanillas+$totalPLA;
                $totalPagos=$totalPagos+$pagos;
                $totalPagos_E=$totalPagos_E+$pagos_E;
                $totalRetiros=$totalRetiros+$retiros;
                $totalPersonas=$totalPersonas+$total_per;
                $totalUsuarios=$totalUsuarios+$totalUSU;
                $totalRecibos=$totalRecibos+$totalREC;

                $array_planillas[]=array('nro'=>$nro++, 'id_fk_cliente_fact'=>$id_fk_cliente_fact, 'id_cta'=>$id_cta, 'nit_plano'=>$nit_plano, 'nombre_plano'=>$nombre_plano, 'nombre_sis'=>$nombre, 'cant_planillas'=>$totalPLA, 'total_pagos'=>$pagos, 'total_pagos_E'=>$pagos_E, 'total_retiros'=>$retiros, 'total_personas'=>$total_per,'usu_activos'=>$totalUSU, 'total_recibos'=>$totalREC, 'activo'=>$activo, 'modo'=>$modo, 'grupo'=>$nom_cli, 'comentario_gestor'=>$comentario_gestor, 'comentario_cta'=>$comentario_cta); 
            
            //si no tiene planillas realizadas en el mes    
            elseif($planilla == 0 && $totalPLA==0):

                //indicador para guardar el grupo en el array
                $indicador=1;

                $array_planillas[]=array('nro'=>$nro++, 'id_fk_cliente_fact'=>$id_fk_cliente_fact, 'id_cta'=>$id_cta, 'nit_plano'=>$nit_plano, 'nombre_plano'=>$nombre_plano, 'nombre_sis'=>$nombre, 'cant_planillas'=>'0', 'total_pagos'=>'0', 'total_retiros'=>'0', 'total_personas'=>'0','usu_activos'=>$totalUSU, 'total_recibos'=>$totalREC, 'activo'=>$activo, 'modo'=>$modo, 'grupo'=>$nom_cli, 'comentario_gestor'=>$comentario_gestor, 'comentario_cta'=>$comentario_cta);
            endif;

        endwhile;

        if($indicador == 1):

            $array_grupos[]=array('nro'=>$nro_grupos++, 'id_cli'=>$id_fk_cliente_fact, 'nom_cli'=>$nom_cli, 'totalPlanillas'=>$totalPlanillas, 'totalPagos'=>$totalPagos, 'totalPagos_E'=>$totalPagos_E, 'totalRetiros'=>$totalRetiros, 'totalPersonas'=>$totalPersonas, 'totalUsuarios'=>$totalUsuarios, 'totalRecibos'=>$totalRecibos);
            $indicador = 0;
            
        endif;

    endwhile;

else:
    
    if($text_para=='-'): 
        $var = ''; 
    else: 
        $var = " and comentario like '%".$text_para."%' "; 
    endif;   

    

    //Identifico las CTA del grupo
    $sqlCTA = "SELECT * FROM cta WHERE modo=0 $var2 $var";
    $conCTA = $bdDepen->consulta($sqlCTA);
    //Total de filas en la consulta
    $totalFilas = $bdDepen->num_rows($conCTA);
    //Saco los datos de las empresas
    while($resCTA = $bdDepen->fetch_assoc($conCTA)):
        $nroFilas++;
        $pagos=0;
        $pagos_E=0;
        $retiros=0;	
        $total_per=0;
        $totalPLA=0;

        

        $nombre=utf8_encode($resCTA['nombre']);
        $nombre_plano=utf8_encode($resCTA['nombre_plano']);
        $nit_plano=$resCTA['nit_plano'];
        $id_fk_cliente_fact=$resCTA['id_fk_cliente_fact'];
        $id_cta=$resCTA['id_cta'];
        $comentario_gestor=utf8_encode($resCTA['comentario_gestor']);
        $comentario_cta=utf8_encode($resCTA['comentario']);
        $modo=$resCTA['modo'];
        $activo=$resCTA['activo'];

        $sqlGrupo = "SELECT id_cli, nom_cli FROM cliente WHERE id_cli=$id_fk_cliente_fact and activo=0";
        $conGrupo = $bdFact->consulta($sqlGrupo);
        $resGrupo = $bdFact->fetch_assoc($conGrupo);
        $nom_cli = utf8_encode($resGrupo['nom_cli']);
        
        
        //Identifico las PLANILLAS de la CTA
        $sqlPLA = "SELECT * FROM planilla_unico WHERE mes_pago=$mes_planilla and ano_pago=$ano_planilla and id_cta_fk_pl='$id_cta'";
        $conPLA = $bdDepen->consulta($sqlPLA);
        $totalPLA = $bdDepen->num_rows($conPLA);

        //Total usuarios
        $sqlUSU = "select * from usuario where retiro_total = 0 and id_cta_fk_us = '$id_cta'";
        $conUSU = $bdDepen->consulta($sqlUSU);
        $totalUSU = $bdDepen->num_rows($conUSU);
            
        //Total recibos
        $sqlREC = "select * from recibos where total != 0 and mes_pago = '$mes_planilla' and ano_pago = '$ano_planilla' and id_cta_fk_re = '$id_cta'";
        $conREC = $bdDepen->consulta($sqlREC);
        $totalREC = $bdDepen->num_rows($conREC);
        
        //Si selecciono planillas realizadas en el mes
        if($planilla == 1 && $totalPLA!=0):

            while($resPagos = $bdDepen->fetch_assoc($conPLA)):
                $nro_planilla = $resPagos['nro_planilla'];
                $pla_referencia = $resPagos['pla_referencia'];
                
                //Pagos    
                $sqlPAGOS = "select * from personas_planilla_unico where nro_planilla = '$nro_planilla' and (novedad = 0 or novedad = 1) and id_cta_fk_ppl = '$id_cta'";
                $conPAGOS = $bdDepen->consulta($sqlPAGOS);
                $pagos = $pagos + $bdDepen->num_rows($conPAGOS);

                //Retiro
                $sqlRET = "select * from personas_planilla_unico where nro_planilla = '$nro_planilla' and (novedad = 2 or novedad = 3) and id_cta_fk_ppl = '$id_cta'";
                $conRET = $bdDepen->consulta($sqlRET);
                $retiros = $retiros + $bdDepen->num_rows($conRET);

                //Solo planilla tipo E
                if($pla_referencia == 0):

                    //Pagos    
                    $sqlPAGOS_E = "select * from personas_planilla_unico where nro_planilla = '$nro_planilla' and (novedad = 0 or novedad = 1) and id_cta_fk_ppl = '$id_cta'";
                    $conPAGOS_E = $bdDepen->consulta($sqlPAGOS_E);
                    $pagos_E = $pagos_E + $bdDepen->num_rows($conPAGOS_E);

                endif;

                //Total personas
                $total_per = $pagos + $retiros; 

                //indicador para guardar el grupo en el array
                $indicador=1;

            endwhile;

            $totalPlanillas=$totalPlanillas+$totalPLA;
            $totalPagos=$totalPagos+$pagos;
            $totalPagos_E=$totalPagos_E+$pagos_E;
            $totalRetiros=$totalRetiros+$retiros;
            $totalPersonas=$totalPersonas+$total_per;
            $totalUsuarios=$totalUsuarios+$totalUSU;
            $totalRecibos=$totalRecibos+$totalREC;

            $array_planillas[]=array('nro'=>$nro++, 'id_fk_cliente_fact'=>$id_fk_cliente_fact, 'id_cta'=>$id_cta, 'nit_plano'=>$nit_plano, 'nombre_plano'=>$nombre_plano, 'nombre_sis'=>$nombre, 'cant_planillas'=>$totalPLA, 'total_pagos'=>$pagos, 'total_pagos_E'=>$pagos_E, 'total_retiros'=>$retiros, 'total_personas'=>$total_per,'usu_activos'=>$totalUSU, 'total_recibos'=>$totalREC, 'activo'=>$activo, 'modo'=>$modo, 'grupo'=>$nom_cli, 'comentario_gestor'=>$comentario_gestor, 'comentario_cta'=>$comentario_cta); 
        
        //si no tiene planillas realizadas en el mes    
        elseif($planilla == 0 && $totalPLA==0):

            //indicador para guardar el grupo en el array
            $indicador=1;

            $array_planillas[]=array('nro'=>$nro++, 'id_fk_cliente_fact'=>$id_fk_cliente_fact, 'id_cta'=>$id_cta, 'nit_plano'=>$nit_plano, 'nombre_plano'=>$nombre_plano, 'nombre_sis'=>$nombre, 'cant_planillas'=>'0', 'total_pagos'=>'0', 'total_retiros'=>'0', 'total_personas'=>'0','usu_activos'=>$totalUSU, 'total_recibos'=>$totalREC, 'activo'=>$activo, 'modo'=>$modo, 'grupo'=>$nom_cli, 'comentario_gestor'=>$comentario_gestor, 'comentario_cta'=>$comentario_cta);
        endif;

        if($indicador == 1):

            //Comparo el total de las filas con el total de regitros
            if($totalFilas==$nroFilas):

                $id_grupo = $resGrupo['id_cli'];

                $array_grupos[]=array('nro'=>$nro_grupos++, 'id_cli'=>$id_fk_cliente_fact, 'nom_cli'=>$nom_cli, 'totalPlanillas'=>$totalPlanillas, 'totalPagos'=>$totalPagos, 'totalPagos_E'=>$totalPagos_E, 'totalRetiros'=>$totalRetiros, 'totalPersonas'=>$totalPersonas, 'totalUsuarios'=>$totalUsuarios, 'totalRecibos'=>$totalRecibos);
                $indicador = 0;
                $totalPlanillas=0;
                $totalPagos=0;
                $totalPagos_E=0;
                $totalRetiros=0;
                $totalPersonas=0;
                $totalUsuarios=0;
                $totalRecibos=0;

            endif;
            
        endif;

    endwhile;

    

endif;

/*echo "<br><br>";
echo "array_grupos: ";
echo('<pre>');
var_dump($array_grupos);
echo('</pre>');*/

$enlace='dep_planilla_pago2.php';

//Vista de la relación de datos
require("dep_planilla_pago_vista.php");

?>